\initial {A}
\entry {actual source}{39}
\entry {advising}{32}
\entry {aliens}{92}
\primary {argument syntax}
\secondary {efficiency}{82}
\primary {arithmetic}
\secondary {generic}{78}
\entry {arithmetic type inference}{57}
\primary {array types}
\secondary {specialized}{80}
\primary {arrays}
\secondary {efficiency of}{75}
\entry {assembly listing}{83}
\entry {availability of debug variables}{25}
\initial {B}
\entry {benchmarking techniques}{89}
\entry {bignums}{79}
\primary {bit-vectors}
\secondary {efficiency of}{76}
\primary {block}
\secondary {basic}{27}
\entry {block compilation}{69}
\secondary {debugger implications}{23}
\secondary {start location}{27}
\initial {C}
\primary {call}
\secondary {inline}{72}
\secondary {local}{67}
\secondary {numeric operands}{81}
\entry {canonicalization of types}{51}
\entry {characters}{81}
\primary {cleanup}
\secondary {stack frame kind}{23}
\entry {closures}{68}
\entry {compatibility with other Lisps}{44}
\primary {compilation}
\secondary {block}{69}
\secondary {units}{35}
\secondary {why to}{81}
\entry {compilation-speed optimization quality}{46}
\entry {compile time type errors}{42}
\primary {compile-file}
\secondary {block compilation arguments}{71}
\entry {compiler error messages}{37}
\entry {compiler error severity}{40}
\entry {compiler policy}{46}
\entry {compiling}{33}
\entry {complemented type checks}{59}
\entry {Concept Index}{137}
\entry {conditional type inference}{57}
\entry {consing}{82, 86}
\secondary {overhead of}{77}
\entry {constant folding}{61}
\entry {constant-function declaration}{61}
\entry {context sensitive declarations}{36}
\primary {continuations}
\secondary {implicit representation}{83}
\entry {control optimization}{61}
\primary {CPU time}
\secondary {interpretation of}{88}
\initial {D}
\entry {dead code elimination}{61, 62}
\entry {debug optimization quality}{25, 27, 46}
\entry {debug variables}{24}
\entry {debugger}{20}
\primary {declarations}
\secondary {\code{optimize-interface}}{46}
\secondary {\code{optimize}}{46}
\secondary {block compilation}{70}
\secondary {context-sensitive}{36}
\entry {defstruct types}{54}
\entry {derivation of types}{55}
\primary {descriptor representations}
\secondary {forcing of}{85}
\primary {descriptors}
\secondary {object}{77}
\entry {dynamic type inference}{57}
\initial {E}
\primary {efficiency}
\secondary {general hints}{81}
\entry {efficiency notes}{84}
\secondary {for representation}{85}
\secondary {verbosity}{86}
\secondary {of argument syntax}{82}
\secondary {of memory use}{82}
\secondary {of numeric variables}{78}
\secondary {of objects}{74}
\secondary {of type checking}{84}
\primary {empty type}
\secondary {the}{52}
\entry {encapsulation}{32}
\entry {end-block declaration}{70}
\primary {entry points}
\secondary {external}{23}
\entry {equivalence of types}{51}
\primary {error messages}
\secondary {compiler}{37}
\secondary {verbosity}{41}
\primary {errors}
\secondary {result type of}{52}
\secondary {run-time}{24}
\primary {evaluation}
\secondary {debugger}{21, 25}
\primary {existing programs}
\secondary {to run}{44}
\primary {expansion}
\secondary {inline}{72}
\entry {external entry points}{23}
\secondary {stack frame kind}{23}
\initial {F}
\entry {fixnums}{79}
\entry {floating point efficiency}{80}
\primary {folding}
\secondary {constant}{61}
\primary {frames}
\secondary {stack}{21}
\primary {free}
\secondary {C function}{92}
\entry {freeze-type declaration}{54}
\primary {function call}
\secondary {inline}{72}
\secondary {local}{67}
\entry {Function Index}{132}
\primary {function}
\secondary {names}{22}
\secondary {tracing}{30}
\secondary {type inference}{56}
\secondary {types}{52}
\initial {G}
\entry {garbage collection}{82}
\entry {generic arithmetic}{78}
\initial {H}
\primary {hash-tables}
\secondary {efficiency of}{76}
\initial {I}
\entry {implicit continuation representation (IR1)}{83}
\entry {inference of types}{55}
\entry {inhibit-warnings optimization quality}{46}
\entry {inline expansion}{28, 47, 72}
\entry {interpretation of run time}{88}
\entry {interrupts}{24, 94}
\initial {K}
\entry {keyword argument efficiency}{82}
\initial {L}
\entry {let optimization}{60}
\primary {listing files}
\secondary {trace}{83}
\primary {lists}
\secondary {efficiency of}{75}
\entry {local call}{67}
\secondary {numeric operands}{81}
\secondary {return values}{69}
\secondary {type inference}{56}
\primary {locations}
\secondary {unknown}{24}
\initial {M}
\entry {macroexpansion}{39}
\secondary {errors during}{40}
\primary {malloc}
\secondary {C function}{92}
\primary {mapping}
\secondary {efficiency of}{83}
\entry {maybe-inline declaration}{73}
\entry {member types}{51}
\entry {memory allocation}{82}
\entry {multiple value optimization}{64}
\initial {N}
\primary {names}
\secondary {function}{22}
\entry {NIL type}{52}
\entry {non-descriptor representations}{77, 85}
\primary {notes}
\secondary {efficiency}{84}
\entry {numbers in local call}{81}
\primary {numeric}
\secondary {operation efficiency}{78}
\secondary {type inference}{57}
\secondary {types}{76}
\initial {O}
\entry {object representation}{74, 77}
\entry {object representation efficiency notes}{85}
\entry {object sets}{97}
\entry {open-coding}{47}
\entry {operation specific type inference}{57}
\entry {optimization}{59}
\secondary {control}{61}
\secondary {function call}{72}
\secondary {let}{60}
\secondary {multiple value}{64}
\secondary {type check}{58, 84}
\entry {optimize declaration}{27, 46}
\entry {optimize-interface declaration}{46}
\primary {optional}
\secondary {stack frame kind}{23}
\entry {or (union) types}{52}
\entry {original source}{39}
\initial {P}
\entry {pointers}{92}
\primary {policy}
\secondary {compiler}{46}
\secondary {debugger}{27}
\entry {precise type checking}{43}
\entry {processing path}{39}
\entry {profiling}{86}
\initial {R}
\primary {read errors}
\secondary {compiler}{40}
\entry {recording of inline expansions}{73}
\entry {recursion}{65}
\secondary {self}{67}
\secondary {tail}{23, 68}
\entry {representation efficiency notes}{85}
\secondary {object}{74, 77}
\entry {rest argument efficiency}{82}
\primary {return values}
\secondary {local call}{69}
\primary {run time}
\secondary {interpretation of}{88}
\initial {S}
\entry {safety optimization quality}{46}
\entry {semi-inline expansion}{28}
\entry {severity of compiler errors}{40}
\primary {source location printing}
\secondary {debugger}{25}
\entry {source-to-source transformation}{39, 64}
\entry {space optimization quality}{46}
\entry {specialized array types}{80}
\entry {speed optimization quality}{46}
\entry {stack frames}{21}
\entry {stack numbers}{77, 85}
\entry {start-block declaration}{70}
\entry {static functions}{47}
\entry {strings}{81}
\entry {structure types}{54}
\secondary {efficiency of}{75}
\entry {style recommendations}{55, 65}
\initial {T}
\entry {tail recursion}{23, 65, 68}
\entry {time formatting}{17}
\entry {time parsing}{17}
\entry {timing}{86}
\entry {trace files}{83}
\entry {tracing}{30}
\primary {transformation}
\secondary {source-to-source}{64}
\entry {tuning}{84, 86}
\primary {type checking}
\secondary {at compile time}{42}
\secondary {efficiency of}{84}
\secondary {optimization}{58}
\secondary {precise}{43}
\secondary {weakened}{43}
\primary {type declarations}
\secondary {variable}{78}
\entry {Type Index}{136}
\entry {type inference}{55}
\secondary {dynamic}{57}
\primary {types}
\secondary {alien}{92}
\secondary {equivalence}{51}
\secondary {foreign language}{92}
\secondary {function}{52}
\secondary {in python}{42, 50}
\secondary {numeric}{76}
\secondary {portability}{44}
\secondary {restrictions on}{54}
\secondary {specialized array}{80}
\secondary {structure}{54}
\secondary {uncertainty}{84}
\initial {U}
\entry {uncertainty of types}{84}
\entry {undefined warnings}{35}
\entry {union (\code{or}) types}{52}
\entry {unix interrupts}{94}
\entry {unknown code locations}{24}
\entry {unreachable code deletion}{62}
\entry {unused expression elimination}{61}
\initial {V}
\entry {validity of debug variables}{25}
\entry {values declaration}{53}
\entry {Variable Index}{135}
\primary {variables}
\secondary {debugger access}{24}
\secondary {non-descriptor}{78}
\primary {vectors}
\secondary {efficiency of}{75}
\primary {verbosity}
\secondary {of efficiency notes}{86}
\secondary {of error messages}{41}
\entry {Virtual Machine (VM, or IR2) representation}{83}
\initial {W}
\entry {weakened type checking}{43}
\entry {word integers}{80}
